summaryrefslogtreecommitdiff
path: root/tests/cp/parent-perm-race.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp/parent-perm-race.sh')
-rwxr-xr-xtests/cp/parent-perm-race.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/parent-perm-race.sh b/tests/cp/parent-perm-race.sh
index 0d0841c2e..8d09329a1 100755
--- a/tests/cp/parent-perm-race.sh
+++ b/tests/cp/parent-perm-race.sh
@@ -43,6 +43,8 @@ do
# $d/attr and has started to read the source file $attr/fifo.
timeout 10 sh -c "ls -ld d/$attr >$attr/fifo" || fail=1
+ wait $pid || fail=1
+
ls_output=$(cat d/$attr/fifo) || fail=1
case $attr,$ls_output in
ownership,d???--[-S]--[-S]* | \
@@ -52,8 +54,6 @@ do
*)
fail=1;;
esac
-
- wait $pid || fail=1
done
Exit $fail